#!/usr/bin/env python
# -*-python-*-

from pocketMMap.Providers import GeoRSS
import optparse

parser = optparse.OptionParser()
parser.add_option("-u", "--url", dest="url", help="URL for a GeoRSS feed")
parser.add_option("-p", "--provider", dest="provider", help="The name of the map provider to fetch tiles from", default='OPEN_STREET_MAP')
parser.add_option("-z", "--zoom", dest="zoom", help="The zoom level to fetch tiles at", default=15)
parser.add_option("-o", "--out", dest="out", help="Path to store the finished PDF file")
parser.add_option("-H", "--height", dest="height", help="Page height (in inches)", default=11)
parser.add_option("-w", "--width", dest="width", help="Page width (in inches)", default=8.5)
parser.add_option("-m", "--margin", dest="margin", help="Page margin (in inches)", default=.25)
    
(opts, args) = parser.parse_args()

mm = GeoRSS(opts.width, opts.height, opts.margin)
mm.load_provider(opts.provider)
mm.draw_feed(opts.url, opts.zoom)
mm.save(opts.out)
